Billing
Change Plan
Change Billing Plan
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
change-plan
Change Billing Plan
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/change-plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/change-plan"
payload = { "effective_date": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({effective_date: '2023-11-07T05:31:56Z'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/change-plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"account_status": "<string>",
"effective_at": "2023-11-07T05:31:56Z",
"eligible": true,
"previous_plan_id": "<string>",
"target_plan_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Path Parameters
Body
application/json
Response
Billing operation status
Account status after the operation
When the billing change took effect
Whether the account was eligible for the operation
Previous billing plan ID
Target billing plan ID
Was this page helpful?
⌘I
Change Billing Plan
